﻿
:root {
	--IP_MODAL_BG: #fEfEfE;
	--IP_MODAL_SHADOW: 7px 7px 21px 6px #e9e6ed;
	--IP_MODAL_HEADER: #fEfEfE;
	--IP_MODAL_HEADER_BG: #3b116c;
	--IP_MODAL_BUTTON_ROW_BG: #f4f2f6;
	--IP_MODAL_BORDER: 1px solid #3b116c;
}


div.IP-ModalDialog {
	position: fixed;
	width: 100%;
	height: 100%;
	z-index: 10000;
	top: 0px;
	left: 0px;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-wrap: nowrap;
	flex-direction: column;
	transition: ease-out all 0.8s;
	visibility: hidden;
}


.ModalDlg-FadeIn {
	background-color: rgba(255, 255, 255, 0.7);
}

.ModalDlg-FadeOut {
	background-color: rgba(255, 255, 255, 0.7);
}

div.IP-ModalDialog-Box {
	background-color: var(--IP_MODAL_BG);
	border: var(--IP_MODAL_BORDER);
	z-index: 10001;
	box-shadow: var(--IP_MODAL_SHADOW);
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
	align-content: stretch;
	flex-wrap: nowrap;
	margin-left: 0.5rem;
	margin-right: 0.5rem;
	transition: ease-out opacity 0.6s;
	opacity: 0;
	width: 100%;
}

	div.IP-ModalDialog-Box.Upload {
		width: 50rem;
		max-width: 95%;
	}

		@media (min-width: 1921px) {
			div.IP-ModalDialog-Box.Upload {
				width: 60rem;
			}
		}

		@media (min-width: 3073px) {
			div.IP-ModalDialog-Box.Upload {
				width: 80rem;
			}
		}


	div.IP-ModalDialog-Box.NewPassWord {
		width: 40rem;
		max-width: 95%;
	}

		@media  (min-width: 1921px) {
			div.IP-ModalDialog-Box.NewPassWord {
				width: 55rem;
			}
		}


	div.IP-ModalDialog-Box.Arbeitgeber-Standort {
		width: 60rem;
		max-width: 95%;
	}

		@media (min-width: 1921px) {
			div.IP-ModalDialog-Box.Arbeitgeber-Standort {
				width: 80rem;
			}
		}

	div.IP-ModalDialog-Box.Arbeitgeber-Int-Standort {
		width: 60rem;
		max-width: 95%;
	}

		@media (min-width: 1921px) {
			div.IP-ModalDialog-Box.Arbeitgeber-Int-Standort {
				width: 80rem;
			}
		}

	div.IP-ModalDialog-Box.Arbeitgeber-AP {
		width: 80rem;
		max-width: 95%;
	}

		@media (min-width: 1921px) {
			div.IP-ModalDialog-Box.Arbeitgeber-AP {
				width: 90rem;
			}
		}

div.IP-ModalDialog-Header {
	background-color: var(--IP_MODAL_HEADER_BG);
	color: var(--IP_MODAL_HEADER);
	opacity: 1.0;
	z-index: 101;
	padding-left: 15px;
	padding-top: 6px;
	padding-bottom: 6px;
	margin-left: -1px;
	margin-right: -1px;
	margin-top: -1px;
	font-weight: bold;
	font-size: var(--IP_L);
}


div.IP-ModalDialog-Content {
	max-height: calc(100vh - 270px);
	min-height: 75px;
	overflow: auto;
	padding-right: 10px;
	padding-left: 15px;
	padding-top: 10px;
	padding-bottom: 10px;
}

div.IP-ModalDialog-ButtonRow {
	padding-top: 10px;
	padding-left: 15px;
	padding-right: 15px;
	padding-bottom: 10px;
	display: flex;
	gap: 1.5rem;
	background-color: var(--IP_MODAL_BUTTON_ROW_BG);
}

/*Updatepanel image ButtonRow*/
div.IP-ModalDialog-ButtonRow > div {
	padding: 0;
	margin: 0;
	border: 0;
	display: flex;
	gap: 1.5rem;
}





div.IP-ModalDialog-ErrorRow {
	margin-top: 0px;
	padding-left: 15px;
	padding-top: 5px;
	padding-bottom: 5px;
	background-color: var(--IP_Error_BG);
	visibility: hidden;
	font-size: var(--IP_S);
	color: var(--IP_Error_TXT);
}


.IP-ModalDialog-Upload-Info {
	line-height: 1.4;
	font-size: var(--IP_XS);
	margin-bottom: 0.6rem;
}


div.ModalAjax-Upload {
	width: 100%;
	font-size: var(--IP_S);
	/*border: 1px solid blue;*/
}


/*#region Vorschauboxen für Bilder im ModalDlg {*/




div.Upload-Img-Box {
	display: flex;
	flex-direction: row;
	justify-content: center;
	margin-top: 15px;
}

img.Upload-Img {
	margin-left: 0px;
	margin-right: 0px;
	border: 1px solid var(--IP_TextGray);
	max-width:100%;
}





	img.Upload-Img.AG-Upload-Preview-Img {
		max-height: 25rem;
	}

	img.Upload-Img.AG-Upload-Detail-Img {
		max-height: 25rem;
	}


	img.Upload-Img.Angebot-Upload-Header-Img {
		width: 100%;
	}


	img.Upload-Img.Angebot-Upload-Logo-Img {
		height: 128px;
	}






/*#endregion Neues Angebot Buchungsoptionen }*/






/*#endregion Neues Angebot }*/


/*#endregion Vorschauboxen im ModalDlg }*/
